# ApplicationFramework
TKPShape
PGeom

# PGeom_OffsetCurve Class Reference

`#include <PGeom_OffsetCurve.hxx>`

Inheritance diagram for PGeom_OffsetCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_OffsetCurve ()
| Creates an OffsetCurve with default values. .
Standard_EXPORT | PGeom_OffsetCurve (const Handle(PGeom_Curve)&aBasisCurve, const Standard_Real aOffsetValue, const gp_Dir &aOffsetDirection)
| <abasiscurve> is the basis curve, <aoffsetvalue> is the distance between <me> and the basis curve at any point. <aoffsetdirection> defines the fixed reference direction (offset direction).
Standard_EXPORT void | BasisCurve (const Handle(PGeom_Curve)&aBasisCurve)
| Set the field basisCurve with <abasiscurve>. .
Standard_EXPORT Handle_PGeom_Curve | BasisCurve () const
| The basis curve can be an offset curve. .
Standard_EXPORT void | OffsetDirection (const gp_Dir &aOffsetDirection)
| Set the value of the field offsetDirection with <aoffsetdirection>. .
Standard_EXPORT gp_Dir | OffsetDirection () const
| Returns the direction of offset. .
Standard_EXPORT void | OffsetValue (const Standard_Real aOffsetValue)
| Set the field offsetValue with <aoffsetvalue>. .
Standard_EXPORT Standard_Real | OffsetValue () const
| Returns the value of the field offsetValue. .
| PGeom_OffsetCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Curve) _CSFDB_GetPGeom_OffsetCurvebasisCurve() const
void | _CSFDB_SetPGeom_OffsetCurvebasisCurve (const Handle(PGeom_Curve)&p)
const gp_Dir & | _CSFDB_GetPGeom_OffsetCurveoffsetDirection () const
Standard_Real | _CSFDB_GetPGeom_OffsetCurveoffsetValue () const
void | _CSFDB_SetPGeom_OffsetCurveoffsetValue (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_Curve | basisCurve
gp_Dir | offsetDirection
Standard_Real | offsetValue

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_OffsetCurve::PGeom_OffsetCurve | ( |  | ) |

Standard_EXPORT PGeom_OffsetCurve::PGeom_OffsetCurve | ( | const Handle(PGeom_Curve)& | aBasisCurve,
|  | const Standard_Real | aOffsetValue,
|  | const gp_Dir & | aOffsetDirection
| ) |

PGeom_OffsetCurve::PGeom_OffsetCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Dir& PGeom_OffsetCurve::_CSFDB_GetPGeom_OffsetCurveoffsetDirection | ( |  | ) | const`[inline]`

Standard_Real PGeom_OffsetCurve::_CSFDB_GetPGeom_OffsetCurveoffsetValue | ( |  | ) | const`[inline]`

void PGeom_OffsetCurve::_CSFDB_SetPGeom_OffsetCurvebasisCurve | ( | const Handle(PGeom_Curve)& | p | ) | `[inline]`

void PGeom_OffsetCurve::_CSFDB_SetPGeom_OffsetCurveoffsetValue | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Handle_PGeom_Curve PGeom_OffsetCurve::BasisCurve | ( |  | ) | const

Standard_EXPORT void PGeom_OffsetCurve::BasisCurve | ( | const Handle(PGeom_Curve)& | aBasisCurve | ) |

Standard_EXPORT const PGeom_OffsetCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Curve.

PGeom_OffsetCurve::Handle | ( | PGeom_Curve |  | ) | const`[inline]`

Standard_EXPORT gp_Dir PGeom_OffsetCurve::OffsetDirection | ( |  | ) | const

Standard_EXPORT void PGeom_OffsetCurve::OffsetDirection | ( | const gp_Dir & | aOffsetDirection | ) |

Standard_EXPORT Standard_Real PGeom_OffsetCurve::OffsetValue | ( |  | ) | const

Standard_EXPORT void PGeom_OffsetCurve::OffsetValue | ( | const Standard_Real | aOffsetValue | ) |

## Field Documentation

Handle_PGeom_Curve PGeom_OffsetCurve::basisCurve `[private]`

gp_Dir PGeom_OffsetCurve::offsetDirection `[private]`

Standard_Real PGeom_OffsetCurve::offsetValue `[private]`

The documentation for this class was generated from the following file:

- PGeom_OffsetCurve.hxx